let table =
    new DataTable('#table_products_form', {
        responsive: true,
        paging: false,
        searching: false,
        info: false,
        language: {
            emptyTable: 'No hay productos agregados',
        }
    })

document.addEventListener("DOMContentLoaded", function() {
    var responseProductos = []
    const element = document.getElementById('prodservList')
    const filterInput = document.getElementById('search-prodserv')


    function crearItem (product) {
        const div = document.createElement('div')
        div.className = 'w-full px-4 py-3 text-gray-800 hover:bg-[#BDD4AD] text-sm cursor-pointer'
        div.dataset.id = product.id
        
        if (product.image) {
            const img = document.createElement('img')
            img.src = product.image
            img.alt = product.name
            img.className = 'inline-block h-6 w-6 rounded-full overflow-hidden'
    
            div.appendChild(img)
        }

        div.appendChild(document.createTextNode(product.name))

        div.addEventListener('click', () => {
            document.getElementById('valueIdProdServ').innerText = product.id
            document.getElementById('search-prodserv').value = product.name
            document.getElementById('prodservList').classList.toggle('hidden')
        })

        return div
    }

    function renderItems (items) {
        element.innerHTML = ''

    if (items.length) {
            items.forEach(item => {
                const subdiv = crearItem(item)
                element.appendChild(subdiv)
            })
        } else {
            const subdiv = crearItem({ id: 0, name: 'No hay resultados' })
            element.appendChild(subdiv)
        }
    }

    filterInput.addEventListener('click', () => {
        element.classList.toggle('hidden')

        if (!element.classList.contains('hidden')) {
            responseProductos = [
                { id: 1, name: 'Servicio 1', image: './assets/images/product.png' },
                { id: 2, name: 'Servicio 2', image: './assets/images/product.png' },
                { id: 3, name: 'Servicio 3', image: './assets/images/product.png' },
                { id: 4, name: 'Servicio 4', image: './assets/images/product.png' },
                { id: 5, name: 'Servicio 5', image: './assets/images/product.png' },
                { id: 6, name: 'Servicio 6', image: './assets/images/product.png' },
                { id: 7, name: 'Servicio 7', image: './assets/images/product.png' },
                { id: 8, name: 'Servicio 8', image: './assets/images/product.png' },
                { id: 9, name: 'Servicio 9', image: './assets/images/product.png' },
                { id: 10, name: 'Servicio 10', image: './assets/images/product.png' },
            ]

            renderItems(responseProductos)
        }
    })

    filterInput.addEventListener('input', () => {
        const query = filterInput.value.toLowerCase().trim()
        const filteredResponse = responseProductos.filter(item => item.name.toLowerCase().includes(query))
        renderItems(filteredResponse)
        if (query === '') {
            document.getElementById('valueIdProdServ').innerText = ''
        }
    })


    document.addEventListener('keydown', (e) => {
        if (e.key === 'Escape') {
            element.classList.add('hidden')
        }
    })

    document.addEventListener('click', (e) => {
        if (!element.contains(e.target) && e.target !== filterInput) {
            element.classList.add('hidden')
        }
    })

})