document.addEventListener("DOMContentLoaded", function() {
    var optionsDatepicker = {
        format: "DD/MM/YYYY",
        separator: " - ",
        applyLabel: "Aceptar",
        cancelLabel: "Cancelar",
        
        daysOfWeek: [
            "Do",
            "Lu",
            "Ma",
            "Mi",
            "Ju",
            "Vi",
            "Sa"
        ],
        monthNames: [
            "Enero",
            "Febrero",
            "Marzo",
            "Abril",
            "Mayo",
            "Junio",
            "Julio",
            "Agosto",
            "Septiembre",
            "Octubre",
            "Noviembre",
            "Diciembre"
        ],
        firstDay: 1
    }

    const date = new Date()
    const [nonth, day, year] = [
        date.getMonth() + 1,
        date.getDate(),
        date.getFullYear()
    ]

    $('input[name="daterange"]').daterangepicker({
        showDropdowns: true,
        startDate: `${day}/${nonth}/${year}`,
        endDate: `${day + 1}/${nonth}/${year}`,
        locale: {
            ...optionsDatepicker
        }
    }, function(start, end, label) {
            console.log(start.format('YYYY-MM-DD') + ' to ' + end.format('YYYY-MM-DD'));
        }
    )
})