let arrayPayments = []

// lista de pagos
let table =
   new DataTable('#table_pagos', {
    responsive: true,
    paging: false,
    searching: false,
    info: false,
    language: {
        emptyTable: 'No hay pagos registrados',
    }
})

// tabla de form movimeinto
let table2 =
    new DataTable('#table_products_form', {
        responsive: true,
        paging: false,
        searching: false,
        info: false,
        language: {
            emptyTable: 'No hay productos agregados',
        }
    })

function changeBtnPago(param) {
    if (parseInt(param.value) === 1) {
        document.getElementById('btn_modal_payments').classList.add('hidden')
    } else {
        document.getElementById('btn_modal_payments').classList.remove('hidden')
    }
}

function addPayments() {
    const date = document.getElementById('dDate')
    const amount = document.getElementById('nMonto')

    if (date.value === '' || amount.value === '') {
        alert('Por favor, complete todos los campos')
        return
    }

    const payment = {
        index: arrayPayments.length + 1,
        date: date.value,
        amount: amount.value
    }

    arrayPayments.push(payment)
    renderPayments()

    date.value = ''
    amount.value = ''
}

function renderPayments() {
    table.clear()

    if (arrayPayments.length === 0) {
        table.draw()
        document.getElementById('nTotalPagos').value = 0
    } else {
        arrayPayments.map((payment) => {
            table.row.add([
                `<span>` + payment.date + `</span>`,
                `<div class="text-center">` + payment.amount + `</div>`,
                `<div class="text-center">
                    <button class="custom-button text-center text-danger-500"
                        onclick="removePayment(${payment.index})"
                    >
                        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 28 28" stroke-width="1.5" stroke="currentColor" class="size-6">
                            <path stroke-linecap="round" stroke-linejoin="round" d="m14.74 9-.346 9m-4.788 0L9.26 9m9.968-3.21c.342.052.682.107 1.022.166m-1.022-.165L18.16 19.673a2.25 2.25 0 0 1-2.244 2.077H8.084a2.25 2.25 0 0 1-2.244-2.077L4.772 5.79m14.456 0a48.108 48.108 0 0 0-3.478-.397m-12 .562c.34-.059.68-.114 1.022-.165m0 0a48.11 48.11 0 0 1 3.478-.397m7.5 0v-.916c0-1.18-.91-2.164-2.09-2.201a51.964 51.964 0 0 0-3.32 0c-1.18.037-2.09 1.022-2.09 2.201v.916m7.5 0a48.667 48.667 0 0 0-7.5 0" />
                        </svg>
                    </button>
                </div>`
            ]).draw(false) // false -> actualizar la tabla sin resetear la paginación
        })
        const tbody = document.getElementById('tbody_pagos')
    
        const rows = Array.from(tbody.rows)
        
        document.getElementById('nTotalPagos').value = rows.reduce((total, row) => total + Number(row.cells[1].innerText), 0) 
    }

}

function removePayment(index) {
    arrayPayments = arrayPayments.filter((payment) => payment.index !== index)
    renderPayments()
}

document.getElementById('btn_add_pago').addEventListener('click', addPayments)


document.addEventListener("DOMContentLoaded", function() {
    var responseClients = []
    const element = document.getElementById('clienteList')
    const filterInput = document.getElementById('search-clienteproveedor')


    function crearItemCliente (client) {
        const div = document.createElement('div')
        div.className = 'w-full px-4 py-3 text-gray-800 hover:bg-[#BDD4AD] text-sm cursor-pointer'
        div.dataset.id = client.id

        div.appendChild(document.createTextNode(client.name))

        div.addEventListener('click', () => {
            document.getElementById('valueIdCliente').innerText = client.id
            document.getElementById('search-clienteproveedor').value = client.name
            document.getElementById('clienteList').classList.toggle('hidden')
        })

        return div
    }

    function renderItemsCliente (items) {
        element.innerHTML = ''

    if (items.length) {
            items.forEach(item => {
                const subdiv = crearItemCliente(item)
                element.appendChild(subdiv)
            })
        } else {
            const subdiv = crearItemCliente({ id: 0, name: 'No hay resultados' })
            element.appendChild(subdiv)
        }
    }

    filterInput.addEventListener('click', () => {
        element.classList.toggle('hidden')

        if (!element.classList.contains('hidden')) {
            responseClients = [
                { id: 1, name: 'Cliente 1'},
                { id: 2, name: 'Cliente 2'},
                { id: 3, name: 'Cliente 3'},
                { id: 4, name: 'Cliente 4'},
                { id: 5, name: 'Cliente 5'},
                { id: 6, name: 'Cliente 6'},
                { id: 7, name: 'Cliente 7'},
                { id: 8, name: 'Cliente 8'},
                { id: 9, name: 'Cliente 9'},
                { id: 10, name: 'Cliente 10'},
            ]

            renderItemsCliente(responseClients)
        }
    })

    filterInput.addEventListener('input', () => {
        const query = filterInput.value.toLowerCase().trim()
        const filteredResponse = responseClients.filter(item => item.name.toLowerCase().includes(query))
        renderItemsCliente(filteredResponse)
        if (query === '') {
            document.getElementById('valueIdCliente').innerText = ''
        }
    })

    document.addEventListener('keydown', (e) => {
        if (e.key === 'Escape') {
            element.classList.add('hidden')
        }
    })

    document.addEventListener('click', (e) => {
        if (!element.contains(e.target) && e.target !== filterInput) {
            element.classList.add('hidden')
        }

        if (!elementProducts.contains(e.target) && e.target !== filterInputProducts) {
            elementProducts.classList.add('hidden')
        }
    })

})


// para el modal de producto
function decrease() {
    const cantidadActual = parseInt(document.getElementById('nDetCantidad').value)
    if (cantidadActual > 0) {
        document.getElementById('nDetCantidad').value = cantidadActual - 1
    }

    calcularTotal()
}

function increase() {
    const cantidadActual = parseInt(document.getElementById('nDetCantidad').value)
    document.getElementById('nDetCantidad').value = cantidadActual + 1
    calcularTotal()
}

function calcularTotal() {
    const price = parseFloat(document.getElementById('nMovDetPrecioUnitario').value)
    const qty = parseInt(document.getElementById('nDetCantidad').value)
    document.getElementById('nMovDetSubTotal').value = parseFloat(price * qty).toFixed(2)
}


// para los productos

var responseProducts = []
const elementProducts = document.getElementById('productList')
const filterInputProducts = document.getElementById('search-products')

function crearItemProduct (product) {

    const idProductoSpan = document.getElementById('vuleIdProdServ').value
    console.log(idProductoSpan)
    let style = null
    if (idProductoSpan) {
        if (parseInt(idProductoSpan) === product.id) {
            style = 'bg-[#BDD4AD]'
        }
    }

    const div = document.createElement('div')
    div.className = 'w-full px-4 py-3 text-gray-800 hover:bg-[#BDD4AD] text-sm cursor-pointer' + style
    div.dataset.id = product.id

    if (product.image) {
        const img = document.createElement('img')
        img.src = product.image
        img.alt = product.name
        img.className = 'inline-block h-6 w-6 rounded-full overflow-hidden'

        div.appendChild(img)
    }

    div.appendChild(document.createTextNode(product.name))

    // simula el evente change de un select
    div.addEventListener('click', () => {
        document.getElementById('vuleIdProdServ').innerText = product.id
        document.getElementById('search-products').value = product.name
        document.getElementById('productList').classList.toggle('hidden')

        document.getElementById('nMovDetPrecioUnitario').value = product.price

        calcularTotal()
    })

    return div
}

function renderItemsProduct (items) {
    elementProducts.innerHTML = ''

    if (items.length) {
        items.forEach(item => {
            const subdiv = crearItemProduct(item)
            elementProducts.appendChild(subdiv)
        })
    } else {
        const subdiv = crearItemProduct({ id: 0, name: 'No hay resultados' })
        elementProducts.appendChild(subdiv)
    }
}

filterInputProducts.addEventListener('click', () => {
    elementProducts.classList.toggle('hidden')

    if (!elementProducts.classList.contains('hidden')) {
        responseProducts = [
            { id: 1, name: 'Producto 1', image: './assets/images/product.png', price: 234.00},
            { id: 2, name: 'Producto 2', image: './assets/images/product.png', price: 19.50},
            { id: 3, name: 'Producto 3', image: './assets/images/product.png', price: 89.00},
            { id: 4, name: 'Producto 4', image: './assets/images/product.png', price: 12.99},
            { id: 5, name: 'Producto 5', image: './assets/images/product.png', price: 56.80},
            { id: 6, name: 'Producto 6', image: './assets/images/product.png', price: 12.00},
            { id: 7, name: 'Producto 7', image: './assets/images/product.png', price: 33.50},
            { id: 8, name: 'Producto 8', image: './assets/images/product.png', price: 235.30},
            { id: 9, name: 'Producto 9', image: './assets/images/product.png', price: 789.10},
            { id: 10, name: 'Producto 10', image: './assets/images/product.png', price: 154.30},
        ]

        renderItemsProduct(responseProducts)
    }
})

filterInputProducts.addEventListener('input', () => {
    const query = filterInputProducts.value.toLowerCase().trim()
    const filteredResponse = responseProducts.filter(item => item.name.toLowerCase().includes(query))
    renderItemsProduct(filteredResponse)
    if (query === '') {
        document.getElementById('vuleIdProdServ').innerText = ''
    }
})


// TODO: agregar productos a la tabla

let cartProducts = []

function addProduct() {
    const productId = document.getElementById('vuleIdProdServ').innerText
    const productName = document.getElementById('search-products').value
    const ProductQty = document.getElementById('nDetCantidad').value
    const unid = document.getElementById('nMovDetUnidad').value
    const price = document.getElementById('nMovDetPrecioUnitario').value
    const subTotal = document.getElementById('nMovDetSubTotal').value

    let missingFields = []

    if (!productId) missingFields.push('Producto')
    if (!unid || parseInt(unid) === 0) missingFields.push('Unidad')
    if (!parseFloat(price)) missingFields.push('Precio')
    if (!parseInt(ProductQty)) missingFields.push('Cantidad')
    if (!parseFloat(subTotal)) missingFields.push('Subtotal')

    if (missingFields.length) {
        const alert = generateAlert('error', `Por favor, ingrese valores válidos para: ${missingFields.join(', ')}`)
        document.getElementById('response_add_products').appendChild(alert)
        return
    }

    const product = {
        productId,
        productName,
        ProductQty,
        unid,
        price,
        subTotal
    }

    console.log(product)
}