document.addEventListener("DOMContentLoaded", function () {
    var optionsDatepicker = {
        format: "DD/MM/YYYY",
        separator: " - ",
        applyLabel: "Aceptar",
        cancelLabel: "Cancelar",
        
        daysOfWeek: [
            "Do",
            "Lu",
            "Ma",
            "Mi",
            "Ju",
            "Vi",
            "Sa"
        ],
        monthNames: [
            "Enero",
            "Febrero",
            "Marzo",
            "Abril",
            "Mayo",
            "Junio",
            "Julio",
            "Agosto",
            "Septiembre",
            "Octubre",
            "Noviembre",
            "Diciembre"
        ],
        firstDay: 1
    }

    const date = new Date()
    const [nonth, day, year] = [
        date.getMonth() + 1,
        date.getDate(),
        date.getFullYear()
    ]

    $('input[name="daterange"]').daterangepicker({
        showDropdowns: true,
        startDate: `${day}/${nonth}/${year}`,
        endDate: `${day + 1}/${nonth}/${year}`,
        locale: {
            ...optionsDatepicker
        }
    }, function(start, end, label) {
            console.log(start.format('YYYY-MM-DD') + ' to ' + end.format('YYYY-MM-DD'));
        }
    )

    // para ver las columnas desactivadas y/o activadas
    document.getElementById('dropdownLeftEndButton').addEventListener('click', function()  {
        console.log('click here!')
        // peticion para ver que columnas estan activas ... save in columns
        const columns = [
            {
                id: 1,
                name: 'Documento',
                selected: true,
                status: true
            },
            {
                id: 2,
                name: 'Cliente/Proveedor',
                selected: true,
                status: true
            },
            {
                id: 3,
                name: 'Fecha',
                selected: false,
                status: false
            },
            {
                id: 4,
                name: 'Moneda',
                selected: true,
                status: true
            },
        ]

        const actives = columns.filter(col => col.status === true)
        const inactives = columns.filter(col => col.status === false)

        // mastramos en el front
        actives.forEach(col => {
            renderActiveColumnsList(col)
        })

        inactives.forEach(col => {
            renderInactiveColumnsList(col)
        })
    })

})

function renderActiveColumnsList(dataColum) {
    const subdiv = document.createElement('div')

    const label = document.createElement('label')
    label.className = 'inline-flex items-center cursor-pointer'

    const input = document.createElement('input')
    input.type = 'checkbox'
    input.className = 'sr-only peer'

    const div = document.createElement('div')
    div.className = `relative w-11 h-6 bg-[#C9C9C9]
                    outline-none
                    peer-focus:outline-none
                    rounded-full peer peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full
                    peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white
                    after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all peer-checked:bg-gradient-to-l peer-checked:from-[#00A1F4] peer-checked:to-[#0087CE]`

    const span = document.createElement('span')
    span.className = 'ms-1 text-xs'
    span.textContent = dataColum.name

    label.appendChild(input)
    label.appendChild(div)
    label.appendChild(span)

    subdiv.appendChild(label)

    document.getElementById('content_activadas').appendChild(subdiv)
}

function renderInactiveColumnsList(dataColum) {
    const subdiv = document.createElement('div')

    const label = document.createElement('label')
    label.className = 'inline-flex items-center cursor-pointer'

    const input = document.createElement('input')
    input.type = 'checkbox'
    input.className = 'sr-only peer'

    const div = document.createElement('div')
    div.className = `relative w-11 h-6 bg-[#C9C9C9]
                    outline-none
                    peer-focus:outline-none
                    rounded-full peer peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full
                    peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white
                    after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all peer-checked:bg-gradient-to-l peer-checked:from-[#00A1F4] peer-checked:to-[#0087CE]`

    const span = document.createElement('span')
    span.className = 'ms-1 text-xs'
    span.textContent = dataColum.name

    label.appendChild(input)
    label.appendChild(div)
    label.appendChild(span)

    subdiv.appendChild(label)

    document.getElementById('content_desactivadas').appendChild(subdiv)
}