window.addEventListener('DOMContentLoaded', () => {
    document.querySelectorAll('li').forEach(function(li) {
        console.log(li)
        if (li.innerText.includes('Acciones')) {
            li.style.display = 'flex';
        }
    });
    

    const btn_menu = document.getElementById('btn_menu')
    
    btn_menu.addEventListener('click', () => {
        const icon_menu1 = document.getElementById('icon_menu1')
        const icon_menu2 = document.getElementById('icon_menu2')

        const content_menu = document.getElementById('content_menu')

        if (icon_menu1.classList.contains('hidden')) {
            icon_menu1.classList.remove('hidden')
            icon_menu2.classList.add('hidden')
            content_menu.classList.add('hidden')
        } else {
            icon_menu1.classList.add('hidden')
            icon_menu2.classList.remove('hidden')
            content_menu.classList.remove('hidden')
        }
    })

    // Mobile    
    const btnmb = document.querySelectorAll('.btnmb')

    btnmb.forEach((btn) => {
        btn.addEventListener('click', (e) => {
            e.stopPropagation()
            const name_dropdown = e.currentTarget.id.split('_')[1]
            const dropdown = document.getElementById(`submenu_${name_dropdown}`)

            const allDropdowns = document.querySelectorAll('[id^="submenu_"]')
            allDropdowns.forEach((drop) => {
                if (drop !== dropdown) {
                    drop.classList.remove('visible', 'opacity-100', 'translate-y-0')
                    drop.classList.add('hidden', 'opacity-0', 'translate-y-1')
                }
            })

            if (dropdown.classList.contains('hidden')) {
                dropdown.classList.remove('hidden', 'opacity-0', 'translate-y-1')
                dropdown.classList.add('visible', 'opacity-100', 'translate-y-0')
            } else {
                dropdown.classList.remove('visible', 'opacity-100', 'translate-y-0')
                dropdown.classList.add('hidden', 'opacity-0', 'translate-y-1')
            }
        })
    })


    // Desktop
    const btn_drops = document.querySelectorAll('.btn_drop')

    btn_drops.forEach((btn) => {
        btn.addEventListener('click', (e) => {
            e.stopPropagation() // Evita que el clic en el botón cierre inmediatamente el dropdown
            const name_dropdown = e.currentTarget.id.split('_')[1]
            const dropdown = document.getElementById(`dropdown_${name_dropdown}`)

            const allDropdowns = document.querySelectorAll('[id^="dropdown_"]')
            allDropdowns.forEach((drop) => {
                if (drop !== dropdown) {
                    drop.classList.remove('visible', 'opacity-100', 'translate-y-0')
                    drop.classList.add('hidden', 'opacity-0', 'translate-y-1')
                }
            })

            if (dropdown.classList.contains('hidden')) {
                dropdown.classList.remove('hidden', 'opacity-0', 'translate-y-1')
                dropdown.classList.add('visible', 'opacity-100', 'translate-y-0')
            } else {
                dropdown.classList.remove('visible', 'opacity-100', 'translate-y-0')
                dropdown.classList.add('hidden', 'opacity-0', 'translate-y-1')
            }
        })
    })

    // Ocultar dropdowns al dar click fuera de ellos
    document.addEventListener('click', (e) => {
        const allDropdowns = document.querySelectorAll('[id^="dropdown_"]')
        allDropdowns.forEach((drop) => {
            if (!drop.classList.contains('hidden')) {
                drop.classList.remove('visible', 'opacity-100', 'translate-y-0')
                drop.classList.add('hidden', 'opacity-0', 'translate-y-1')
            }
        })

        const allDropdownsMobile = document.querySelectorAll('[id^="submenu_"]')
        allDropdownsMobile.forEach((drop) => {
            if (!drop.classList.contains('hidden')) {
                drop.classList.remove('visible', 'opacity-100', 'translate-y-0')
                drop.classList.add('hidden', 'opacity-0', 'translate-y-1')
            }
        })
    })

    // Ocultar dropdowns al presionar la tecla Esc
    document.addEventListener('keydown', (e) => {
        if (e.key === 'Escape') {
            const allDropdowns = document.querySelectorAll('[id^="dropdown_"]')
            allDropdowns.forEach((drop) => {
                if (!drop.classList.contains('hidden')) {
                    drop.classList.remove('visible', 'opacity-100', 'translate-y-0')
                    drop.classList.add('hidden', 'opacity-0', 'translate-y-1')
                }
            })
        }
    })


    let t = new DataTable('#example', {
        colReorder: true,
        responsive: true,
        searching: true,
        pageLength: 8,
        lengthMenu: [[8, 20, 50, 100], [8, 20, 50, 100]],

        language: {
            info: 'Página _PAGE_ de _PAGES_',
            infoEmpty: 'Sin registros',
            zeroRecords: 'Sin resultados',
            infoFiltered: '(filtered from _MAX_ total records)',
            lengthMenu: '_MENU_',
            search: 'Buscar:',
            paginate: {
                next: 'Siguiente >>',
                previous: '<< Anterior'
            }
        }
    })

    // para cambiar la visibilidad de datos por pagina
    document.getElementById('select_page').addEventListener('change', (e) => {
        t.page.len(e.target.value).draw()
    })

    // para el filtrado del datatable
    document.getElementById('input_search').addEventListener('input', (e) => {
        t.search(e.target.value).draw()
    })
    
})


