<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Isula</title>

    <link rel="stylesheet" href="./assets/css/output.css">

    <link rel="stylesheet" href="./assets/css/styles.css">

    <script src="https://www.google.com/recaptcha/api.js" async defer></script>
</head>
<body class="body_login">
    <div class="main_wrapper pt-1 md:pt-3 text-xs lg:text-base">
        <main class="w-full">
            <div class="w-[95%] sm:w-[60%] lg:w-[620px] mx-auto bg-black/60 pt-6 sm:pt-9 md:pt-8 pb-6 rounded-lg text-white relative z-10">
                <!-- logo -->
                <img src="./assets/images/logoecommerce-07.png" alt="logo" class="w-28 md:w-[120px] lg:w-[150px] rounded-lg mx-auto">

                <!-- Formulario -->
                <form action="" class="w-[90%] lg:w-[420px] mx-auto mt-5" autocomplete="off">
                    <div class="space-y-3 md:space-y-4">

                        <div class="relative w-full">
                            <input
                                class="text-sm shadow appearance-none border rounded-lg w-full py-3 px-3 text-white placeholder:text-white/95 leading-tight focus:outline-none focus:shadow-outline bg-transparent"
                                type="text"
                                placeholder="Ingresar usuario"
                            >
                            <div class="absolute inset-y-0 right-0 flex items-center pr-3">
                                <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="currentColor"  class="icon icon-tabler icons-tabler-filled icon-tabler-user w-4 md:w-6">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M12 2a5 5 0 1 1 -5 5l.005 -.217a5 5 0 0 1 4.995 -4.783z" /><path d="M14 14a5 5 0 0 1 5 5v1a2 2 0 0 1 -2 2h-10a2 2 0 0 1 -2 -2v-1a5 5 0 0 1 5 -5h4z" />
                                </svg>
                            </div>
                        </div>

                        <div class="relative w-full">
                            <input
                                class="text-sm shadow appearance-none border rounded-lg w-full py-3 px-3 text-white placeholder:text-white/95 leading-tight focus:outline-none focus:shadow-outline bg-transparent"
                                type="password"
                                placeholder="Ingresar contraseña"
                            >
                            <div class="absolute inset-y-0 right-0 flex items-center pr-3">
                                <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="currentColor"  class="icon icon-tabler icons-tabler-filled icon-tabler-lock w-4 md:w-6">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M12 2a5 5 0 0 1 5 5v3a3 3 0 0 1 3 3v6a3 3 0 0 1 -3 3h-10a3 3 0 0 1 -3 -3v-6a3 3 0 0 1 3 -3v-3a5 5 0 0 1 5 -5m0 12a2 2 0 0 0 -1.995 1.85l-.005 .15a2 2 0 1 0 2 -2m0 -10a3 3 0 0 0 -3 3v3h6v-3a3 3 0 0 0 -3 -3" />
                                </svg>
                            </div>
                        </div>

                    </div>

                    <div class="flex justify-between my-2 md:my-3">
                        <div class="relative flex gap-x-3">
                            <div class="flex h-6 items-center">
                                <input id="remember" name="remember" type="checkbox" class="h-4 w-4 focus:ring-0 border-gray-300">
                            </div>
                            <div class="leading-6">
                                <label for="remember" class="font-medium text-sm">Recordar</label>
                            </div>
                        </div>

                        <span class="text-sm">¿Olvid&oacute; la contraseña?</span>
                    </div>

                    <!-- Captcha -->
                    <div class="flex items-center mt-2 mb-2 md:my-3 overflow-hidden">
                        <div class="g-recaptcha mx-auto inline" data-sitekey="6LeXvAAqAAAAAHVUUooAqowBIJIhUq2xprmvaoS2"></div>
                    </div>

                    <button class="bg-[#09880F] hover:bg-[#09880F]/85 duration-150 ease-in text-white w-full py-2 md:py-2.5">Iniciar Sesi&oacute;n</button>

                    <div class="w-full border-b-2 border-b-white my-2 md:my-4"></div>

                    <div class="w-full flex gap-x-1 justify-between items-center h-11 md:h-[50px] text-xs lg:text-sm">
                        <button class="flex gap-x-2 md:gap-x-5 items-center px-4 h-full bg-custom-gradient text-white hover:text-white/85 w-[145px] lg:w-[200px] rounded-md font-semibold shadow-md">
                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor" class="w-6 md:w-8">
                                <path d="M7.5 3.375c0-1.036.84-1.875 1.875-1.875h.375a3.75 3.75 0 0 1 3.75 3.75v1.875C13.5 8.161 14.34 9 15.375 9h1.875A3.75 3.75 0 0 1 21 12.75v3.375C21 17.16 20.16 18 19.125 18h-9.75A1.875 1.875 0 0 1 7.5 16.125V3.375Z" />
                                <path d="M15 5.25a5.23 5.23 0 0 0-1.279-3.434 9.768 9.768 0 0 1 6.963 6.963A5.23 5.23 0 0 0 17.25 7.5h-1.875A.375.375 0 0 1 15 7.125V5.25ZM4.875 6H6v10.125A3.375 3.375 0 0 0 9.375 19.5H16.5v1.125c0 1.035-.84 1.875-1.875 1.875h-9.75A1.875 1.875 0 0 1 3 20.625V7.875C3 6.839 3.84 6 4.875 6Z" />
                            </svg>

                            <span>Descargar Comprobantes</span>
                        </button>
                        <button class="flex gap-x-2 md:gap-x-5 items-center px-4 h-full bg-custom-gradient text-white hover:text-white/85 w-[145px] lg:w-[200px] rounded-md font-semibold shadow-md">
                            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-brand-android w-6 md:w-8">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                <path d="M4 10l0 6" />
                                <path d="M20 10l0 6" />
                                <path d="M7 9h10v8a1 1 0 0 1 -1 1h-8a1 1 0 0 1 -1 -1v-8a5 5 0 0 1 10 0" />
                                <path d="M8 3l1 2" />
                                <path d="M16 3l-1 2" />
                                <path d="M9 18l0 3" />
                                <path d="M15 18l0 3" />
                            </svg>

                            <span>Descargar App</span>
                        </button>
                    </div>

                    <button class="font-semibold w-full mt-4 text-xs md:text-sm">¿A&uacute;n no eres cliente?</button>
                </form>
            </div>
        </main>
    
        <footer class="text-[11px] md:text-xs lg:text-sm w-full fixed bottom-0 h-16 flex justify-between items-center px-4 font-semibold backdrop-blur-xl text-white z-10">
            <div class="flex flex-col md:flex-row">
                <h4 class="mr-3">Privacidad</h4>
                <h4>Condiciones</h4>
            </div>
    
            <h4 class="text-center">&copy; <span id="year_html"></span> FMSAC. Todos los derechos reservados.</h4>
    
            <div class="flex items-center">
                <i>
                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-brand-whatsapp w-5 sm:w-7 md:w-9">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M3 21l1.65 -3.8a9 9 0 1 1 3.4 2.9l-5.05 .9" />
                        <path d="M9 10a.5 .5 0 0 0 1 0v-1a.5 .5 0 0 0 -1 0v1a5 5 0 0 0 5 5h1a.5 .5 0 0 0 0 -1h-1a.5 .5 0 0 0 0 1" />
                    </svg>
                </i>
                <i>
                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-brand-linkedin w-5 sm:w-7 md:w-9">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M4 4m0 2a2 2 0 0 1 2 -2h12a2 2 0 0 1 2 2v12a2 2 0 0 1 -2 2h-12a2 2 0 0 1 -2 -2z" />
                        <path d="M8 11l0 5" />
                        <path d="M8 8l0 .01" />
                        <path d="M12 16l0 -5" />
                        <path d="M16 16v-3a2 2 0 0 0 -4 0" />
                    </svg>                
                </i>
                <i>
                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-brand-facebook w-5 sm:w-7 md:w-9">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M7 10v4h3v7h4v-7h3l1 -4h-4v-2a1 1 0 0 1 1 -1h3v-4h-3a5 5 0 0 0 -5 5v2h-3" />
                    </svg>
                </i>
            </div>
        </footer>
    </div>
</body>

<script>
    const date = new Date().getFullYear()
    document.getElementById('year_html').innerHTML = date
</script>
</html>