<?php 

require_once './header.php';

?>

<div class="bg-gradient-to-b from-[#2EB03B] to-[#9FC39C] min-h-screen border border-transparent">

    <div class="bg-white w-[95%] mx-auto m-3 md:mt-8 rounded-xl p-4 md:pt-5 md:px-6 lg:mt-[90px]">
        <div class="flex items-center justify-between border-b-2 border-b-[#004B23] pb-2 lg:pb-3">
            <h3 class="text-sm sm:text-base md:text-lg lg:text-lg font-semibold md:mb-2">Datos Generales</h3>
        
            <div class="hidden bg-white float-right text-sm px-3 py-2 rounded text-[#99A455] lg:block">
                <a href="#" class="text-xs">Catálogo</a>
                <span>></span>
                <a href="wfaclienteproveedor.php" class="text-xs">Cliente/Proveedores</a>
                <span>></span>
                <a href="#" class="text-[#09880F] text-sm">Nuevo Cliente/Proveedores</a>
                <div class="border border-[#09880F] mt-1"></div>
            </div>
        </div>

        <div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-4 mt-6 md:mt-8 gap-y-5 md:gap-y-6 md:gap-x-4">
            
            <div class="md:col-span-2 lg:col-span-4 grid grid-cols-2 lg:grid-cols-4 content-center">
                <div class="lg:col-span-1 flex flex-col md:flex-row items-center gap-x-2 gap-y-2">
                    <span class="text-sm">Foto de Perfil</span>
                    <img src="./assets/images/product_client.svg" class="w-16 lg:w-20" alt="">
                </div>

                <div class="lg:col-span-3 flex flex-col md:flex-row gap-y-2 lg:gap-x-3 items-center">
                    <button class="w-32 md:w-40 text-xs py-2 h-10 bg-[#09880F] hover:bg-[#09880F]/80 text-white rounded-md shadow ease-in-out duration-150">
                        Cambiar Imagen
                    </button>
                    <button class="w-32 md:w-40 text-xs py-2 h-10 bg-white hover:bg-white/80 text-[#F14545] border border-[#F14545] rounded-md shadow">
                        Remover Imagen
                    </button>
                </div>
            </div>

            <div class="">
                <label class="relative">
                    <input type="text"
                        class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                        placeholder="Ingresar el código"
                    >

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Código
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                        <option value="0" selected>- Seleccionar -</option>
                        <option value="1">Cliente</option>
                        <option value="2">Proveedor</option>
                    </select>

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Tipo Cliente
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                        <option value="0" selected>- Seleccionar -</option>
                        <option value="1">Cliente</option>
                        <option value="2">Proveedor</option>
                    </select>

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Tipo Documento
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="">
                <div class="flex border border-[#7D7D7D] focus:border-[#7D7D7D] items-center rounded-lg relative">
                    <input type="text"
                        class="w-full border-none bg-transparent p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-none"
                        placeholder="Ingresar número"
                    >

                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-search w-5 mx-2">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M10 10m-7 0a7 7 0 1 0 14 0a7 7 0 1 0 -14 0" />
                        <path d="M21 21l-6 -6" />
                    </svg>

                    <span class="absolute left-2 -top-3 text-xs bg-white px-1">
                        RUC/DNI
                        <span class="text-red-500">*</span>
                    </span>
                </div>
            </div>

            <div class="lg:col-span-2">
                <label class="relative">
                    <input type="text"
                        class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                        placeholder="Ingresar el nombre"
                    >

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Nombre
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="lg:col-span-2">
                <label class="relative">
                    <input type="text"
                        class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                        placeholder="Ingresar el nombre comercial"
                    >

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Nombre Comercial
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="md:col-span-2 lg:col-span-4">
                <label class="relative">
                    <input type="text"
                        class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                        placeholder="Ingresar la dirección"
                    >

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Dirección
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="grid gap-y-6 lg:grid-cols-3 lg:gap-x-4 md:col-span-2 lg:col-span-4">
                <div class="">
                    <label class="relative">
                        <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                            <option value="0" selected>- Seleccionar -</option>
                            <option value="1">Ingreso</option>
                            <option value="2">Venta</option>
                            <option value="3">Compra</option>
                        </select>

                        <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                            Departamento
                            <span class="text-red-500">*</span>
                        </span>
                    </label>
                </div>

                <div class="">
                    <label class="relative">
                        <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]
                            disabled:bg-gray-100"
                            disabled
                        >
                            <option value="0" selected>- Seleccionar -</option>
                            <option value="1">Ingreso</option>
                            <option value="2">Venta</option>
                            <option value="3">Compra</option>
                        </select>

                        <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                            Provincia
                            <span class="text-red-500">*</span>
                        </span>
                    </label>
                </div>

                <div class="">
                    <label class="relative">
                        <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]
                            disabled:bg-gray-100"
                            disabled
                        >
                            <option value="0" selected>- Seleccionar -</option>
                            <option value="1">Ingreso</option>
                            <option value="2">Venta</option>
                            <option value="3">Compra</option>
                        </select>

                        <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                            Distrito
                            <span class="text-red-500">*</span>
                        </span>
                    </label>
                </div>
            </div>

            

            <div class="">
                <label class="relative">
                    <input type="text"
                        class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                        placeholder="Seleccionar la familia"
                    >

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Marca A
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <input type="text"
                        class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                        placeholder="Ingresar correo electrónico"
                    >

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Correo
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <input type="text"
                        class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                        placeholder="Ingresar el nombre del contacto"
                    >

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Contacto
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                        <option value="0" selected>- Seleccionar -</option>
                        <option value="1">Habilitado</option>
                        <option value="2">Deshabilitado</option>
                    </select>

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Estado
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="md:col-span-2 lg:col-span-4 border-b-2 border-b-[#004B23]"></div>

            <div class="">
                <label class="relative">
                    <input type="number"
                        class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                        placeholder="Seleccionar la familia"
                    >

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Días de Crédito
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="flex items-center">
                <span class="flex items-center gap-x-1">
                    <label class="inline-flex items-center cursor-pointer">
                        <input type="checkbox" value="" class="sr-only peer">
                        <div class="relative w-11 h-6 bg-[#C9C9C9]
                            outline-none
                            peer-focus:outline-none
                            rounded-full peer peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full
                            peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white
                            after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all peer-checked:bg-gradient-to-l peer-checked:from-[#00A1F4] peer-checked:to-[#0087CE]"></div>
                        <span class="ms-1 text-xs">Línea de Crédito</span>
                    </label>
                </span>
            </div>

            <div class="">
                <label class="relative">
                    <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                        <option value="0" selected>- Seleccionar -</option>
                        <option value="1">Sol</option>
                        <option value="2">Dolar</option>
                    </select>

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Moneda
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <input type="text"
                        class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                        placeholder="Ingresar número de importe"
                    >
    
                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Importe
                    </span>
                </label>
            </div>

        </div>

        <div class="mt-3 lg:mt-4">

            <!-- footer -->
            <div class="w-full mt-6 flex justify-between md:justify-center md:gap-x-7 text-xs md:text-sm lg:mb-4">
                <button
                    class="w-32 md:w-40 lg:w-64 py-2 bg-[#09880F] hover:bg-[#09880F]/80 text-white rounded-md shadow ease-in-out duration-150"
                >
                    Guardar información
                </button>
                <button
                    class="w-32 md:w-40 lg:w-64 py-2 bg-white hover:bg-white/80 text-[#F14545] border border-[#F14545] rounded-md shadow"
                >
                    Cancelar
                </button>
            </div>

        </div>
        
    </div>


    <div class="bg-white w-[95%] mx-auto m-3 md:mt-8 rounded-xl p-4 md:pt-5 md:px-6">
        <div class="flex items-center justify-between border-b-2 border-b-[#004B23] pb-2">
            <h3 class="text-sm sm:text-base md:text-lg lg:text-lg font-semibold md:mb-2">Direcciones de Remisión</h3>
        </div>

        <button data-modal-target="modal-new-address" data-modal-toggle="modal-new-address" class="bg-[#09880F] text-white text-xs py-1 px-2 lg:px-4 rounded flex items-center gap-x-2 mt-4">
            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="currentColor"  class="icon icon-tabler icons-tabler-filled icon-tabler-circle-plus w-4">
                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                <path d="M4.929 4.929a10 10 0 1 1 14.141 14.141a10 10 0 0 1 -14.14 -14.14zm8.071 4.071a1 1 0 1 0 -2 0v2h-2a1 1 0 1 0 0 2h2v2a1 1 0 1 0 2 0v-2h2a1 1 0 1 0 0 -2h-2v-2z" />
            </svg>

            <span>Nueva Dirección</span>
        </button>

        <div class="w-full mt-4">
            <div class="">
                <table id="table_adderesses" class="hover text-sm text-gray-800 bg-white" style="width:100%; margin-top: 10px;">
                    <thead>
                        <tr class="bg-[#DEF9B6]">
                            <th class="border border-gray-300" style="text-align: center;">Dirección</th>
                            <th class="border border-gray-300" style="text-align: center;">Departamento</th>
                            <th class="border border-gray-300" style="text-align: center;">Provincia</th>
                            <th class="border border-gray-300" style="text-align: center;">Distrito</th>
                        </tr>
                    </thead>
                    <tbody id="tbody_adderesses">
                        
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<!-- modal Direcciones -->

    <div id="modal-new-address" tabindex="-1" aria-hidden="true" class="hidden overflow-y-auto overflow-x-hidden fixed top-0 right-0 left-0 z-50 justify-center items-center w-full md:inset-0 h-[calc(100%-1rem)] max-h-full">
        <div class="relative p-4 w-full max-w-2xl max-h-full">
            <div class="relative bg-white rounded-lg shadow px-3 py-5 md:p-6 space-y-6">
                 <!-- header -->
                 <div class="w-full border-b-2 border-b-[#004B23] py-2">
                    <h3 class="text-base md:text-lg lg:text-lg font-semibold">Direcciones de Remisión</h3>
                </div>

                <!-- body -->
                <div class="w-full grid grid-cols-1 lg:grid-cols-3 gap-y-6 gap-x-4">
                    <div class="col-span-1 lg:col-span-3">
                        <label class="relative">
                            <input type="text"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                placeholder="Ingresar la dirección"
                                
                            >
    
                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Dirección Guía Remisión
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                    <div class="">
                        <label class="relative">
                            <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                                <option value="0" selected>- Seleccionar -</option>
                                <option value="1">Ingreso</option>
                                <option value="2">Venta</option>
                                <option value="3">Compra</option>
                            </select>

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Departamento
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                    <div class="">
                        <label class="relative">
                            <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]
                                disabled:bg-gray-100"
                                disabled
                            >
                                <option value="0" selected>- Seleccionar -</option>
                                <option value="1">Ingreso</option>
                                <option value="2">Venta</option>
                                <option value="3">Compra</option>
                            </select>

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Provincia
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                    <div class="">
                        <label class="relative">
                            <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]
                                disabled:bg-gray-100"
                                disabled
                            >
                                <option value="0" selected>- Seleccionar -</option>
                                <option value="1">Ingreso</option>
                                <option value="2">Venta</option>
                                <option value="3">Compra</option>
                            </select>

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Distrito
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>
                </div>

                <!-- footer -->
                <div class="w-full col-span-1 flex justify-between md:justify-center md:gap-x-7 text-xs md:text-sm lg:mb-4">
                    <button type="button"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-[#09880F] hover:bg-[#09880F]/80 text-white rounded-md shadow ease-in-out duration-150"
                    >
                        Guardar Informaci&oacute;n
                    </button>
                    <button type="button"
                        data-modal-hide="modal-new-address"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-white hover:bg-white/80 text-[#F14545] border border-[#F14545] rounded-md shadow"
                    >
                        Cancelar
                    </button>
                </div>
            </div>
        </div>
    </div>



<?php
require_once './footer.php';
?>

<script src="./assets/js/functions/clienteproveedor.js"></script>