<?php

require_once './header.php';

?>

<div class="bg-gradient-to-b from-[#2EB03B] to-[#9FC39C] min-h-screen border border-transparent">
<!-- bgcard -->
    <div class="w-[95%] mx-auto mt-3 md:mt-8 rounded-xl p-4 md:pt-5 bg-white lg:mt-[90px] mb-3 min-h-[calc(100vh-130px)]">
        <div class="flex items-center justify-between border-b-2 border-b-[#004B23]">
            <h3 class="text-sm sm:text-base md:text-lg lg:text-lg font-semibold md:mb-2">Relaci&oacute;n completa de las familias</h3>
        
            <div class="hidden bg-white float-right text-sm px-3 py-2 rounded text-[#99A455] lg:block">
                <a href="#" class="text-xs">...</a>
                <span>></span>
                <a href="#" class="text-xs">Catálogos</a>
                <span>></span>
                <a href="#" class="text-[#09880F] text-sm">Familias</a>
                <div class="border border-[#09880F] mt-1"></div>
            </div>
        </div>

        <div class="flex flex-col justify-start items-start gap-y-2 lg:flex-row lg:items-center lg:justify-between mt-4">
            <button type="button" class="h-8 bg-[#09880F] text-white text-xs px-2 lg:px-4 rounded flex items-center gap-x-2"
                data-modal-target="modal-new-family" data-modal-toggle="modal-new-family"
            >
                <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="currentColor"  class="icon icon-tabler icons-tabler-filled icon-tabler-circle-plus w-4">
                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                    <path d="M4.929 4.929a10 10 0 1 1 14.141 14.141a10 10 0 0 1 -14.14 -14.14zm8.071 4.071a1 1 0 1 0 -2 0v2h-2a1 1 0 1 0 0 2h2v2a1 1 0 1 0 2 0v-2h2a1 1 0 1 0 0 -2h-2v-2z" />
                </svg>

                <span>Nuevo Familia</span>
            </button>

            <div class="w-full border border-gray-300 flex items-center rounded-lg overflow-hidden sm:w-2/4 lg:w-1/3 left-0 right-0 bg-white">
                <span class="bg-[#09880F] text-white text-xs md:text-sm h-full py-2">
                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-search w-4 mx-2">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M10 10m-7 0a7 7 0 1 0 14 0a7 7 0 1 0 -14 0" />
                        <path d="M21 21l-6 -6" />
                    </svg>
                </span>
                <input type="text" id="input_search" class="border-gray-300 border-l border-r-0 border-t-0 border-b-0 w-full py-2 px-2 text-xs lg:text-sm outline-none focus:ring-0 focus:border-[#7D7D7D]" placeholder="Buscar">
            </div>
        </div>


        <div class="w-full mt-3 max-w-2xl bg-slate-100 rounded-lg mx-auto py-1 px-3 border-2 border-slate-300 min-h-[calc(100vh-260px)]">
            <div class="w-full grid grid-cols-1">
                <div class="pb-2 col-span-1">
                    <div class="flex justify-between items-center">
                        <div class="flex">
                            <button id="toggle-button" data-toggle="dropdown-0" type="button">
                                <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-chevron-down text-gray-500 w-4">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M6 9l6 6l6 -6" />
                                </svg>
                            </button>
    
                            <span class="text-xs ml-2 flex items-center gap-x-2">
                                <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-folder w-4">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M5 4h4l3 3h7a2 2 0 0 1 2 2v8a2 2 0 0 1 -2 2h-14a2 2 0 0 1 -2 -2v-11a2 2 0 0 1 2 -2" />
                                </svg>
                                FAMILIAS
                            </span>
                        </div>

                        <div>
                            <button id="dropdownMenuIconButton" data-dropdown-toggle="dropdownDots">
                                <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-dots-vertical w-4">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                    <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                    <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                </svg>
                            </button>
    
                            <div id="dropdownDots" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44">
                                <ul class="py-2 text-sm text-gray-700" aria-labelledby="dropdownMenuIconButton">
                                    <li class="px-3 text-left">
                                        <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#09880F] hover:bg-[#BDD4AD] hover:text-black duration-150 ease-in-out">Editar</button>
                                    </li>
                                    <li class="px-3 text-left">
                                        <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#F14545] hover:bg-red-300 hover:text-black duration-150 ease-in-out">Eliminar</button>
                                    </li>
                                </ul>
                            </div>
                        </div>

                    </div>
                </div>

                <div id="dropdown-0" class="col-span-1 space-y-2 border-l-2 border-l-slate-300 ml-2 pl-5">

                    <!-- PADRE -->
                    <div class="flex items-center justify-between">
                        <div class="flex">
                            <button id="toggle-button1" data-toggle="dropdown-1" type="button">
                                <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-chevron-down text-gray-500 w-4">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M6 9l6 6l6 -6" />
                                </svg>
                            </button>
    
                            <span class="text-xs ml-2 flex items-center gap-x-2">
                                <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-folder w-4">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M5 4h4l3 3h7a2 2 0 0 1 2 2v8a2 2 0 0 1 -2 2h-14a2 2 0 0 1 -2 -2v-11a2 2 0 0 1 2 -2" />
                                </svg>
                                1 - PRODUCTOS
                            </span>
                        </div>

                        <button id="dropdownOptions1" data-dropdown-toggle="dropdownDots1">
                            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-dots-vertical w-4">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                            </svg>
                        </button>

                        <div id="dropdownDots1" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44">
                            <ul class="py-2 text-sm text-gray-700" aria-labelledby="dropdownOptions1">
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#09880F] hover:bg-[#BDD4AD] hover:text-black duration-150 ease-in-out">Editar</button>
                                </li>
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#F14545] hover:bg-red-300 hover:text-black duration-150 ease-in-out">Eliminar</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <!-- PADRE -->

                    <!-- HIJOS -->
                    <div id="dropdown-1" class="col-span-1 space-y-2 border-l-2 border-l-slate-300 ml-2 pl-5">
                        <div class="flex items-center justify-between">
                            <div class="flex">
                                <button id="toggle-button11" data-toggle="dropdown-1.1" type="button">
                                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-chevron-down text-gray-500 w-4">
                                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                        <path d="M6 9l6 6l6 -6" />
                                    </svg>
                                </button>
        
                                <span class="text-xs ml-2 flex items-center gap-x-2">
                                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-folder w-4">
                                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                        <path d="M5 4h4l3 3h7a2 2 0 0 1 2 2v8a2 2 0 0 1 -2 2h-14a2 2 0 0 1 -2 -2v-11a2 2 0 0 1 2 -2" />
                                    </svg>
                                    1.1 - PROTECCIÓN DE CULTIVOS
                                </span>
                            </div>

                            <button id="dropdownOptions1" data-dropdown-toggle="dropdownDots1">
                                <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-dots-vertical w-4">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                    <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                    <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                </svg>
                            </button>

                            <div id="dropdownDots1" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44">
                                <ul class="py-2 text-sm text-gray-700" aria-labelledby="dropdownOptions1">
                                    <li class="px-3 text-left">
                                        <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#09880F] hover:bg-[#BDD4AD] hover:text-black duration-150 ease-in-out">Editar</button>
                                    </li>
                                    <li class="px-3 text-left">
                                        <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#F14545] hover:bg-red-300 hover:text-black duration-150 ease-in-out">Eliminar</button>
                                    </li>
                                </ul>
                            </div>
                        </div>

                        <div id="dropdown-1.1" class="col-span-1 space-y-2 border-l-2 border-l-slate-300 ml-2 pl-5">
                            <div class="flex items-center justify-between">
                                <div class="flex">
                                    <span class="text-xs ml-2 flex items-center gap-x-2">
                                        <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-folder w-4">
                                            <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                            <path d="M5 4h4l3 3h7a2 2 0 0 1 2 2v8a2 2 0 0 1 -2 2h-14a2 2 0 0 1 -2 -2v-11a2 2 0 0 1 2 -2" />
                                        </svg>
                                        1.1.1 - AGROQUÍMICOS
                                    </span>
                                </div>

                                <button id="dropdownOptions1" data-dropdown-toggle="dropdownDots1">
                                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-dots-vertical w-4">
                                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                        <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                        <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                        <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                    </svg>
                                </button>

                                <div id="dropdownDots1" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44">
                                    <ul class="py-2 text-sm text-gray-700" aria-labelledby="dropdownOptions1">
                                        <li class="px-3 text-left">
                                            <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#09880F] hover:bg-[#BDD4AD] hover:text-black duration-150 ease-in-out">Editar</button>
                                        </li>
                                        <li class="px-3 text-left">
                                            <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#F14545] hover:bg-red-300 hover:text-black duration-150 ease-in-out">Eliminar</button>
                                        </li>
                                    </ul>
                                </div>
                            </div>

                            <div class="flex items-center justify-between">
                                <div class="flex">
                                    <span class="text-xs ml-2 flex items-center gap-x-2">
                                        <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-folder w-4">
                                            <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                            <path d="M5 4h4l3 3h7a2 2 0 0 1 2 2v8a2 2 0 0 1 -2 2h-14a2 2 0 0 1 -2 -2v-11a2 2 0 0 1 2 -2" />
                                        </svg>
                                        1.1.2 - NUTRICIÓN FOLIAR LÍQUIDO
                                    </span>
                                </div>

                                <button id="dropdownOptions1" data-dropdown-toggle="dropdownDots1">
                                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-dots-vertical w-4">
                                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                        <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                        <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                        <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                    </svg>
                                </button>

                                <div id="dropdownDots1" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44">
                                    <ul class="py-2 text-sm text-gray-700" aria-labelledby="dropdownOptions1">
                                        <li class="px-3 text-left">
                                            <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#09880F] hover:bg-[#BDD4AD] hover:text-black duration-150 ease-in-out">Editar</button>
                                        </li>
                                        <li class="px-3 text-left">
                                            <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#F14545] hover:bg-red-300 hover:text-black duration-150 ease-in-out">Eliminar</button>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- HIJOS -->


                    <!-- PADRE -->
                    <div class="flex items-center justify-between">
                        <div class="flex">
                            <button id="toggle-button1" data-toggle="dropdown-2" type="button">
                                <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-chevron-down text-gray-500 w-4">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M6 9l6 6l6 -6" />
                                </svg>
                            </button>
    
                            <span class="text-xs ml-2 flex items-center gap-x-2">
                                <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-folder w-4">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M5 4h4l3 3h7a2 2 0 0 1 2 2v8a2 2 0 0 1 -2 2h-14a2 2 0 0 1 -2 -2v-11a2 2 0 0 1 2 -2" />
                                </svg>
                                2 - SERVICIOS
                            </span>
                        </div>

                        <button id="dropdownOptions1" data-dropdown-toggle="dropdownDots1"  data-dropdown-offset-distance="4" data-dropdown-offset-skidding="40" data-dropdown-placement="left">
                            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-dots-vertical w-4">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                            </svg>
                        </button>

                        <div id="dropdownDots1" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44">
                            <ul class="py-2 text-sm text-gray-700" aria-labelledby="dropdownOptions1">
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#09880F] hover:bg-[#BDD4AD] hover:text-black duration-150 ease-in-out">Editar</button>
                                </li>
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#F14545] hover:bg-red-300 hover:text-black duration-150 ease-in-out">Eliminar</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <!-- PADRE -->

                </div>

            </div>
            
        </div>

        
    </div>

</div>


<!-- modal nueva unidad -->
    <div id="modal-new-family" tabindex="-1" aria-hidden="true" class="hidden overflow-y-auto overflow-x-hidden fixed top-0 right-0 left-0 z-50 justify-center items-center w-full md:inset-0 h-[calc(100%-1rem)] max-h-full">
        <div class="relative p-4 w-full max-w-xl max-h-full">
            <div class="relative bg-white rounded-lg shadow px-3 py-5 md:p-6 space-y-6">
                 <!-- header -->
                 <div class="w-full border-b-2 border-b-[#004B23] py-2">
                    <h3 class="text-base md:text-lg lg:text-lg font-semibold">Nueva Familia</h3>
                </div>

                <!-- body -->
                <div class="w-full grid grid-cols-1 gap-y-6 relative">

                    <div class="col-span-1 grid grid-cols-1">
                        <div class="flex border border-[#7D7D7D] focus:border-[#7D7D7D] items-center rounded-lg relative">
                            <span id="valueIdPadre" class="hidden"></span>
                            <input type="text" id="search-padre"
                                class="cursor-default w-full border-none bg-transparent p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-none"
                                placeholder="Ingresar el nombre"
                                autocomplete="off"
                            >

                            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-search w-5 mx-2">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                <path d="M10 10m-7 0a7 7 0 1 0 14 0a7 7 0 1 0 -14 0" />
                                <path d="M21 21l-6 -6" />
                            </svg>

                            <span class="absolute left-2 -top-3 text-xs bg-white px-1">
                                Padre
                                <span class="text-red-500">*</span>
                            </span>
                        </div>
                    </div>
                    <div id="flotante" class="col-span-1 z-50 hidden bg-white border boder-slate-300 rounded-bl-md rounded-br-md divide-y divide-gray-100 shadow-xl w-full absolute top-12 max-h-32 overflow-y-scroll">
                    </div>


                    <div class="col-span-1">
                        <label class="relative">
                            <input type="text"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                placeholder="Ingresar el nombre"
                            >

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Código
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                    <div class="col-span-1">
                        <label class="relative">
                            <input type="text"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                placeholder="Ingresar la ubicación"
                            >

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Nombre
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                    <div class="col-span-1">
                        <label class="relative">
                            <select class="bg-white border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                                <option value="0" selected>- Seleccionar -</option>
                                <option value="1">uno</option>
                                <option value="2">dos</option>
                            </select>

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Estado
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                </div>

                <!-- footer -->
                <div class="w-full col-span-1 flex justify-between md:justify-center md:gap-x-7 text-xs md:text-sm lg:mb-4">
                    <button type="button"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-[#09880F] hover:bg-[#09880F]/80 text-white rounded-md shadow ease-in-out duration-150"
                    >
                        Guardar Informaci&oacute;n
                    </button>
                    <button type="button"
                        data-modal-hide="modal-new-family"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-white hover:bg-white/80 text-[#F14545] border border-[#F14545] rounded-md shadow"
                    >
                        Cancelar
                    </button>
                </div>
            </div>
        </div>
    </div>


<script src="./assets/js/functions/familia.js"></script>

	
<?php
require_once './footer.php';
?>