<?php 

require_once './header.php';

?>

<div class="bg-gradient-to-b from-[#2EB03B] to-[#9FC39C] min-h-screen border border-transparent">

    <div class="bg-white w-[95%] mx-auto m-3 md:mt-8 rounded-xl p-4 md:pt-5 md:px-6 lg:mt-[90px]">
        <div class="flex items-center justify-between border-b-2 border-b-[#004B23] pb-2 lg:pb-3">
            <h3 class="text-sm sm:text-base md:text-lg lg:text-lg font-semibold md:mb-2">Datos Generales</h3>
        
            <div class="hidden bg-white float-right text-sm px-3 py-2 rounded text-[#99A455] lg:block">
                <a href="#" class="text-xs">Operaciones</a>
                <span>></span>
                <a href="wfamovimiento.php" class="text-xs">Movimiento</a>
                <span>></span>
                <a href="#" class="text-[#09880F] text-sm">Formulario Movimientos</a>
                <div class="border border-[#09880F] mt-1"></div>
            </div>
        </div>

        <!-- contenedor del formulario cabecera -->
        <div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 mt-6 md:mt-8 gap-y-5 md:gap-y-6 md:gap-x-4">
            
            <div class="">
                <label class="relative">
                    <input type="date"
                        class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                    >

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Fecha
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                        <option value="0" selected>- Seleccionar -</option>
                        <option value="1">Ingreso</option>
                        <option value="2">Venta</option>
                        <option value="3">Compra</option>
                    </select>

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Tipo Movimiento
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="flex justify-between gap-x-2">
                <div class="flex-1">
                    <label class="relative">
                        <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]" onchange="changeBtnPago(this)">
                            <option value="0" selected>- Seleccionar -</option>
                            <option value="1">Contado</option>
                            <option value="2">Cr&eacute;dito</option>
                        </select>
        
                        <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                            Tipo Pago
                            <span class="text-red-500">*</span>
                        </span>
                    </label>
                </div>

                <button id="btn_modal_payments" data-modal-target="modal-payments" data-modal-toggle="modal-payments"
                    class="border-none bg-[#09880F] hover:bg-[#09880F]/80 text-white rounded-lg px-3 duration-150 ease-in-out" id="btnModalPayments">
                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-credit-card w-5">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M3 5m0 3a3 3 0 0 1 3 -3h12a3 3 0 0 1 3 3v8a3 3 0 0 1 -3 3h-12a3 3 0 0 1 -3 -3z" /><path d="M3 10l18 0" />
                        <path d="M7 15l.01 0" />
                        <path d="M11 15l2 0" />
                    </svg>
                </button>
            </div>

            <div class="">
                <label class="relative">
                    <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                        <option value="0" selected>- Seleccionar -</option>
                        <option value="1">Cliente</option>
                        <option value="2">Proveedor</option>
                    </select>

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Tipo
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="lg:col-span-2 relative">
                <label class="relative">
                    <div class="flex border border-[#7D7D7D] focus:border-[#7D7D7D] items-center rounded-lg relative">
                        <span id="valueIdCliente" class="hidden"></span>
                        <input type="text" id="search-clienteproveedor"
                            class="cursor-default w-full border-none bg-transparent p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-none"
                            placeholder="Seleccionar el cliente/proveedor"
                            autocomplete="off"
                        >

                        <i class="font-extrabold">
                            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-chevron-down text-gray-600 w-4 mr-2">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                <path d="M6 9l6 6l6 -6" />
                            </svg>
                        </i>

                        <span class="absolute left-2 -top-3 text-xs bg-white px-1">
                            Cliente/Proveedor
                            <span class="text-red-500">*</span>
                        </span>
                    </div>
                </label>
                <div id="clienteList" class="col-span-1 z-50 hidden bg-white border boder-slate-300 rounded-bl-md rounded-br-md divide-y divide-gray-100 shadow-xl w-full absolute top-12 max-h-32 overflow-y-scroll">
                </div>
            </div>

            <div class="">
                <label class="relative">
                    <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                        <option value="0" selected>- Seleccionar -</option>
                        <option value="1">Servicios</option>
                        <option value="2">Bienes</option>
                    </select>

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Destino
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                        <option value="0" selected>- Seleccionar -</option>
                        <option value="1">Almacen 1</option>
                    </select>

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Almac&eacute;n/Sede
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="flex justify-between gap-x-2">
                <div class="flex-1">
                    <label class="relative">
                        <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                            <option value="0" selected>- Seleccionar -</option>
                            <option value="1">FACTURA ELECTRONICA</option>
                            <option value="2">BOLETA VENTA ELECTRONICA</option>
                            <option value="2">NOTA DE VENTA</option>
                        </select>
        
                        <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                            Documento
                            <span class="text-red-500">*</span>
                        </span>
                    </label>
                </div>

                <input type="text" class="w-14 sm:w-20 lg:w-28 border rounded-lg px-2 text-gray-700 text-xs lg:text-sm focus:ring-0 focus:border-[#7D7D7D] bg-gray-50" value="0" disabled>
            </div>

            <div class="">
                <label class="relative">
                    <input type="text"
                        class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                        placeholder="Ingresar el documento de referencia"
                    >

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Orden de Compra/Doc. Ref
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <select class="bg-white border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                        <option value="0" selected>- Seleccionar -</option>
                        <option value="1">Soles</option>
                        <option value="2">Dolares</option>
                    </select>

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Tipo de Moneda
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <div class="flex border border-[#7D7D7D] focus:border-[#7D7D7D] items-center rounded-lg bg-gray-100 pr-3 text-gray-700">
                        <input type="text"
                            class="border-none w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500  focus:ring-0 focus:border-[#7D7D7D] bg-transparent"
                            value="0"
                            disabled
                        >
                        
                        <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-premium-rights ">
                            <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                            <path d="M12 12m-9 0a9 9 0 1 0 18 0a9 9 0 1 0 -18 0" />
                            <path d="M13.867 9.75c-.246 -.48 -.708 -.769 -1.2 -.75h-1.334c-.736 0 -1.333 .67 -1.333 1.5c0 .827 .597 1.499 1.333 1.499h1.334c.736 0 1.333 .671 1.333 1.5c0 .828 -.597 1.499 -1.333 1.499h-1.334c-.492 .019 -.954 -.27 -1.2 -.75" />
                            <path d="M12 7v2" />
                            <path d="M12 15v2" />
                        </svg>
                        
                    </div>
                    <span class="absolute left-2 -top-3 text-xs bg-white px-1">
                        Tipo de Cambio
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                        <option value="0" selected>- Seleccionar -</option>
                        <option value="1">Vendedor 1</option>
                        <option value="2">Vendedor 2</option>
                    </select>

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Vendedor
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

        </div>

        <div class="mt-3">
            <!-- card header -->
            <div class="border-b-2 border-b-[#004B23] pb-2 lg:pb-3">
                <h3 class="text-sm sm:text-base md:text-lg lg:text-lg font-semibold md:mb-2">Lista de Productos</h3>
            </div>

            <!-- card body -->
            <div class="grid grid-cols-1 pt-4 space-y-4 lg:space-y-2 lg:grid-cols-3 lg:gap-x-6">
                <div class="col-span-1 lg:col-span-3">
                    <button data-modal-target="modal-products" data-modal-toggle="modal-products" class="flex justify-between gap-x-3 items-center bg-[#09880F] hover:bg-[#09880F]/80 duration-150 ease-in-out text-white text-xs md:text-sm px-2 lg:px-4 py-1 rounded-md" id="btnModalProducts">
                        <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="currentColor"  class="icon icon-tabler icons-tabler-filled icon-tabler-circle-plus w-4">
                            <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                            <path d="M4.929 4.929a10 10 0 1 1 14.141 14.141a10 10 0 0 1 -14.14 -14.14zm8.071 4.071a1 1 0 1 0 -2 0v2h-2a1 1 0 1 0 0 2h2v2a1 1 0 1 0 2 0v-2h2a1 1 0 1 0 0 -2h-2v-2z" />
                        </svg>
                        <span>Nuevo Producto</span>
                    </button>
                </div>

                <div class="col-span-1 lg:col-span-3">
                    <table id="table_products_form" class="hover text-sm text-gray-800 bg-white" style="width:100%; margin-top: 10px;">
                        <thead>
                            <tr class="bg-[#DEF9B6]">
                                <th class="border border-gray-300" style="text-align: center;">Producto</th>
                                <th class="border border-gray-300" style="text-align: center;">Cantidad</th>
                                <th class="border border-gray-300" style="text-align: center;">Unidad</th>
                                <th class="border border-gray-300" style="text-align: center;">Precio</th>
                                <th class="border border-gray-300" style="text-align: center;">Sub Total</th>
                                <th class="border border-gray-300" style="text-align: center;">Acciones</th>
                            </tr>
                        </thead>
                        <tbody id="tbody_products">
                            
                        </tbody>
                    </table>
                </div>

                <div class="col-span-1 lg:col-span-3 grid grid-rows-1 lg:grid-rows-2 lg:grid-cols-3 gap-x-4 lg:gap-x-6">

                    <div class="col-span-1 grid gap-y-5 lg:gap-y-0 grid-cols-1 md:grid-cols-2 md:gap-x-4 row-span-1 lg:pt-4">
                        <div class="flex flex-col md:flex-row gap-y-4 gap-x-3 text-xs lg:items-center col-span-1 md:col-span-2 mb-2">
                            <label class="inline-flex items-center cursor-pointer">
                                <input type="checkbox" value="" class="sr-only peer">
                                <div class="relative w-11 h-6 bg-[#C9C9C9]
                                    outline-none
                                    peer-focus:outline-none
                                    rounded-full peer peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full
                                    peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white
                                    after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all peer-checked:bg-gradient-to-l peer-checked:from-[#00A1F4] peer-checked:to-[#0087CE]"></div>
                                <span class="ms-1">Detraccion</span>
                            </label>
                            
                            <div class="flex-1">
                                <label class="relative">
                                    <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                                        <option value="0" selected>- Seleccionar -</option>
                                        <option value="1">concepto</option>
                                        <option value="2">concepto</option>
                                        <option value="3">concepto</option>
                                    </select>

                                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                        Detraccion
                                        <span class="text-red-500">*</span>
                                    </span>
                                </label>
                            </div>

                            <div class="flex-1 lg:flex-none lg:w-16">
                                <label class="relative">
                                    <input type="text" class="w-full h-10 lg:h-auto border rounded-lg p-3 text-gray-700 text-xs lg:text-sm focus:ring-0 focus:border-[#7D7D7D] disabled:bg-gray-100" value="0" disabled>
                                </label>
                            </div>
                        </div>

                        <div class="flex text-xs items-center justify-between lg:col-span-2">
                            <span class="flex items-center gap-x-1">
                                <label class="inline-flex items-center cursor-pointer">
                                    <input type="checkbox" value="" class="sr-only peer">
                                    <div class="relative w-11 h-6 bg-[#C9C9C9]
                                        outline-none
                                        peer-focus:outline-none
                                        rounded-full peer peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full
                                        peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white
                                        after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all peer-checked:bg-gradient-to-l peer-checked:from-[#00A1F4] peer-checked:to-[#0087CE]"></div>
                                    <span class="ms-1">Percepcion</span>
                                </label>
                            </span>

                            <input type="text"
                                    class="border border-[#7D7D7D] w-16 lg:w-32 rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D] bg-gray-50"
                                    placeholder="0"
                                >
                        </div>

                        <div class="flex text-xs items-center justify-between lg:col-span-2 lg:mt-2">
                            <span class="flex items-center gap-x-1">
                                <label class="inline-flex items-center cursor-pointer">
                                    <input type="checkbox" value="" class="sr-only peer">
                                    <div class="relative w-11 h-6 bg-[#C9C9C9]
                                        outline-none
                                        peer-focus:outline-none
                                        rounded-full peer peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full
                                        peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white
                                        after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all peer-checked:bg-gradient-to-l peer-checked:from-[#00A1F4] peer-checked:to-[#0087CE]"></div>
                                    <span class="ms-1">Retencion</span>
                                </label>
                            </span>

                            <input type="text"
                                    class="border border-[#7D7D7D] w-16 lg:w-32 rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D] bg-gray-50"
                                    placeholder="0"
                                >
                        </div>
                    </div>

                    <div class="col-span-1 lg:col-span-2 grid gap-y-5 grid-cols-1 md:grid-cols-2 lg:grid-cols-4 md:gap-x-4 row-span-1 pt-4">
                        <div class="">
                            <label class="relative">
                                <input type="text"
                                    class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                    placeholder="0.00"
                                >

                                <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                    Importe
                                </span>
                            </label>
                        </div>

                        <div class="">
                            <label class="relative">
                                <input type="text"
                                    class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                    placeholder="0.00"
                                >

                                <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                    IGV
                                </span>
                            </label>
                        </div>

                        <div class="">
                            <label class="relative">
                                <input type="text"
                                    class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                    placeholder="0.00"
                                >

                                <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                    ICBPER
                                </span>
                            </label>
                        </div>

                        <div class="">
                            <label class="relative">
                                <input type="text"
                                    class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                    placeholder="0.00"
                                >

                                <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                    TOTAL
                                </span>
                            </label>
                        </div>

                        
                        <div class="border-b-2 border-b-[#004B23] pb-2 lg:pb-0 col-span-1 md:col-span-2 lg:col-span-4">
                            <h3 class="text-sm sm:text-base md:text-lg lg:text-lg font-semibold md:mb-2">Valores Referenciales</h3>
                        </div>

                        <div class="col-span-1 md:col-span-2 lg:col-span-4 space-y-5 md:space-y-0 md:gap-x-3 grid md:grid-cols-3">

                            <div class="col-span-1">
                                <label class="relative">
                                    <input type="text"
                                        class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                        placeholder="0.00"
                                    >

                                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                        Servicio de Transporte
                                    </span>
                                </label>
                            </div>

                            <div class="col-span-1">
                                <label class="relative">
                                    <input type="text"
                                        class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                        placeholder="0.00"
                                    >

                                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                        Función a la Carga Efectiva
                                    </span>
                                </label>
                            </div>

                            <div class="col-span-1">
                                <label class="relative">
                                    <input type="text"
                                        class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                        placeholder="0.00"
                                    >

                                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                        Función a la Carga Últil Nominal
                                    </span>
                                </label>
                            </div>

                        </div>

                    </div>

                    <div class="col-span-1 lg:col-span-3 row-span-1 mt-6 lg:mt-6">
                        <div class="relative">
                            <label class="relative block">
                                <textarea name="" id="" rows="6" id=""
                                    placeholder="Escribir las observaciones"
                                    class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 resize-none focus:ring-0 focus:border-[#7D7D7D]"
                                ></textarea>

                                <span class="absolute left-2 -top-3 text-xs bg-white px-1">
                                    Observaciones
                                </span>
                            </label>
                            <span class="text-xs text-gray-400 absolute -bottom-3 left-1">0/300</span>
                        </div>
                    </div>

                </div>
            </div>

            <!-- footer -->
            <div class="w-full mt-6 flex justify-between md:justify-center md:gap-x-7 text-xs md:text-sm lg:mb-4">
                <button
                    class="w-32 md:w-40 lg:w-64 py-2 bg-[#09880F] hover:bg-[#09880F]/80 text-white rounded-md shadow ease-in-out duration-150"
                >
                    Guardar información
                </button>
                <button
                    class="w-32 md:w-40 lg:w-64 py-2 bg-white hover:bg-white/80 text-[#F14545] border border-[#F14545] rounded-md shadow"
                >
                    Cancelar
                </button>
            </div>

        </div>
        
    </div>

</div>

<!-- modal Pagos -->

    <div id="modal-payments" tabindex="-1" aria-hidden="true" class="hidden overflow-y-auto overflow-x-hidden fixed top-0 right-0 left-0 z-50 justify-center items-center w-full md:inset-0 h-[calc(100%-1rem)] max-h-full">
        <div class="relative p-4 w-full max-w-2xl max-h-full">
            <div class="relative bg-white rounded-lg shadow px-3 py-5 md:p-6 space-y-6">
                 <!-- header -->
                 <div class="w-full border-b-2 border-b-[#004B23] py-2">
                    <h3 class="text-base md:text-lg lg:text-lg font-semibold">Agregar Pagos</h3>
                </div>

                <!-- body -->
                <div class="w-full grid grid-cols-1 lg:grid-cols-2 gap-3">
                    <div class="col-span-1 lg:col-span-2 flex gap-x-2 border-b-2 border-b-[#004B23] pb-3">
                        <div class="flex-1 flex flex-col md:flex-row md:gap-x-3 gap-y-4">
                            <div class="flex-1">
                                <label class="relative">
                                    <input type="date" name="dDate" id="dDate"
                                        class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                    >
            
                                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                        Fecha
                                        <span class="text-red-500">*</span>
                                    </span>
                                </label>
                            </div>
            
                            <div class="flex-1">
                                <label class="relative">
                                    <input type="text" name="nMonto" id="nMonto"
                                        class="border border-[#7D7D7D] h-full w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                        placeholder="Ingresar el importe"
                                    >

                                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                        Importe
                                        <span class="text-red-500">*</span>
                                    </span>
                                </label>
                            </div>
                        </div>

                        <button class="border-none bg-[#09880F] text-white w-fit px-1 rounded-md"
                            type="button"
                            id="btn_add_pago"
                        >
                            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-circle-plus">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                <path d="M3 12a9 9 0 1 0 18 0a9 9 0 0 0 -18 0" />
                                <path d="M9 12h6" />
                                <path d="M12 9v6" />
                            </svg>
                        </button>
                    </div>

                    <div class="col-span-1 lg:col-span-2">
                        <table id="table_pagos" class="hover text-sm text-gray-800 bg-white" style="width:100%; margin-top: 10px;">
                            <thead>
                                <tr class="bg-[#DEF9B6]">
                                    <th class="border border-gray-300" style="text-align: center;">Fecha</th>
                                    <th class="border border-gray-300" style="text-align: center;">Importe</th>
                                    <th class="border border-gray-300" style="text-align: center;">Acciones</th>
                                </tr>
                            </thead>
                            <tbody id="tbody_pagos">
                                
                            </tbody>
                        </table>
                    </div>

                    <div class="col-span-1 lg:col-span-2 w-full mt-4">
                        <label class="relative">
                            <input type="text"
                                id="nTotalPagos"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-400 focus:ring-0 focus:border-[#7D7D7D] bg-gray-50"
                                disabled
                            >

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Total
                            </span>
                        </label>
                    </div>
                </div>

                <!-- footer -->
                <div class="w-full col-span-1 flex justify-between md:justify-center md:gap-x-7 text-xs md:text-sm lg:mb-4">
                    <button type="button"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-[#09880F] hover:bg-[#09880F]/80 text-white rounded-md shadow ease-in-out duration-150"
                    >
                        Guardar Informaci&oacute;n
                    </button>
                    <button type="button"
                        id="btn_cancelar_payments"
                        data-modal-hide="modal-payments"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-white hover:bg-white/80 text-[#F14545] border border-[#F14545] rounded-md shadow"
                    >
                        Cancelar
                    </button>
                </div>
            </div>
        </div>
    </div>

    

<!-- modal prodcutos -->
    <div id="modal-products" tabindex="-1" aria-hidden="true" class="hidden overflow-y-auto overflow-x-hidden fixed top-0 right-0 left-0 z-50 justify-center items-center w-full md:inset-0 h-[calc(100%-1rem)] max-h-full">
        <div class="relative p-4 w-full max-w-2xl max-h-full">
            <div class="relative bg-white rounded-lg shadow px-3 py-5 md:p-6 space-y-6">
                <!-- header -->
                <div class="w-full">
                    <h3 class="text-base md:text-lg lg:text-lg font-semibold border-b-2 border-b-[#004B23] py-2">Salida/Venta</h3>
                    <div class="pt-2" id="response_add_products"></div>
                </div>

                <!-- body -->
                <div class="w-full grid grid-cols-1 lg:grid-cols-2 gap-6">

                    <div class="col-span-1 lg:col-span-2 relative">
                        <label class="relative">
                            <div class="flex border border-[#7D7D7D] focus:border-[#7D7D7D] items-center rounded-lg relative">
                                <span id="vuleIdProdServ" class="hidden"></span>
                                <input type="text" id="search-products"
                                    class="cursor-default w-full border-none bg-transparent p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-none"
                                    placeholder="Seleccionar el producto"
                                    autocomplete="off"
                                >

                                <i class="font-extrabold">
                                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-chevron-down text-gray-600 w-4 mr-2">
                                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                        <path d="M6 9l6 6l6 -6" />
                                    </svg>
                                </i>

                                <span class="absolute left-2 -top-3 text-xs bg-white px-1">
                                    Productos
                                    <span class="text-red-500">*</span>
                                </span>
                            </div>
                        </label>

                        <div id="productList" class="col-span-1 z-50 hidden bg-white border boder-slate-300 rounded-bl-md rounded-br-md divide-y divide-gray-100 shadow-xl w-full absolute top-12 max-h-32 overflow-y-scroll">
                        </div>
                    </div>

                    <div class="col-span-1">
                        <label class="relative">
                            <select id="nMovDetUnidad"
                                class="bg-white border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                                <option value="0" selected>- Seleccionar -</option>
                                <option value="1">UNIDAD</option>
                                <option value="2">CAJA</option>
                            </select>

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Unidad
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                    <div class="col-span-1">
                        <label class="relative">
                            <input type="text"
                                id="nMovDetPrecioUnitario"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                placeholder="0.00"
                                oninput="calcularTotal()"
                            >

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Precio Unitario
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                    <div class="col-span-1">
                        <div class="flex justify-between items-center border border-[#7D7D7D] rounded-lg relative">
                            <label class="">
                                <input type="text"
                                    id="nDetCantidad"
                                    class="number border-none bg-transparent w-full p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                    placeholder="0.00"
                                    value="0"
                                    oninput="calcularTotal()"
                                >
    
                                <span class="absolute left-2 -top-3 text-xs bg-white px-1">
                                    Cantidad
                                    <span class="text-red-500">*</span>
                                </span>
                            </label>
    
                            <div class="border-l border-l-[#7D7D7D] divide-y-2 flex flex-col select-none overflow-hidden">
                                <div class="w-full hover:bg-slate-50 duration-150 ease-in-out px-3 py-1 cursor-pointer" onclick="increase()">
                                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-plus w-3 h-full">
                                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                        <path d="M12 5l0 14" />
                                        <path d="M5 12l14 0" />
                                    </svg>
                                </div>
    
                                <div class="w-full hover:bg-slate-50 duration-150 ease-in-out px-3 py-1 cursor-pointer" onclick="decrease()">
                                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-minus w-3 h-full">
                                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                        <path d="M5 12l14 0" />
                                    </svg>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-span-1">
                        <label class="relative">
                            <input type="number"
                                id="nMovDetSubTotal"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                placeholder="0.00"
                            >

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Sub Total
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                    <div class="col-span-1">
                        <div class="flex gap-x-1 text-xs items-center col-span-1 md:col-span-2 mb-2 justify-center">
                            <label class="inline-flex items-center cursor-pointer">
                                <input type="checkbox" value="" class="sr-only peer">
                                <div class="relative w-11 h-6 bg-[#C9C9C9]
                                    outline-none
                                    peer-focus:outline-none
                                    rounded-full peer peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full
                                    peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white
                                    after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all peer-checked:bg-gradient-to-l peer-checked:from-[#00A1F4] peer-checked:to-[#0087CE]"></div>
                                <span class="ms-1">Bonificación</span>
                            </label>
                        </div>
                    </div>

                    <div class="col-span-1">
                        <div class="flex gap-x-1 text-xs items-center col-span-1 md:col-span-2 mb-2 justify-center">
                            <label class="inline-flex items-center cursor-pointer">
                                <input type="checkbox" value="" class="sr-only peer">
                                <div class="relative w-11 h-6 bg-[#C9C9C9]
                                    outline-none
                                    peer-focus:outline-none
                                    rounded-full peer peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full
                                    peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white
                                    after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all peer-checked:bg-gradient-to-l peer-checked:from-[#00A1F4] peer-checked:to-[#0087CE]"></div>
                                <span class="ms-1">Inluído IGV</span>
                            </label>
                        </div>
                    </div>

                </div>
                
                <!-- footer -->
                <div class="w-full col-span-1 flex justify-between md:justify-center md:gap-x-7 text-xs md:text-sm lg:mb-4">
                    <button
                        type="button"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-[#09880F] hover:bg-[#09880F]/80 text-white rounded-md shadow ease-in-out duration-150"
                        onclick="addProduct()"
                    >
                        Guardar información
                    </button>
                    <button
                        class="w-32 md:w-40 lg:w-64 py-2 bg-white hover:bg-white/80 text-[#F14545] border border-[#F14545] rounded-md shadow"
                        id="btn_cancelar_products"
                        data-modal-hide="modal-products"
                    >
                        Cancelar
                    </button>
                </div>
            </div>
        </div>
    </div>



<?php
require_once './footer.php';
?>

<script src="./assets/js/functions/movimiento/formulario.js"></script>